Apache Royale 0.9.6 Released!

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Apache Royale 0.9.6 Released!

piotrz
Hello Flex Community,

We have just released newest version of Apache Royale. Take a look what's
new in this blog post ->
https://royale.apache.org/apache-royale-v0-9-6-released/

Thanks,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: Apache Royale 0.9.6 Released!

Benjamin Povirk
this is great news, thanks!

There are however some problems installing 3rd parties on mac... Can this be fixed?

benjamin@MacBookAir:~$ sudo npm install @apache-royale/royale-js-swf -g
/usr/local/bin/asjsc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asjscnpm
/usr/local/bin/asjscompc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asjscompcnpm
/usr/local/bin/asnodec -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asnodecnpm
/usr/local/bin/mxmlc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/mxmlcnpm
/usr/local/bin/compc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/compcnpm
/usr/local/bin/externc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/externcnpm

> @apache-royale/royale-js-swf@0.9.6 postinstall /usr/local/lib/node_modules/@apache-royale/royale-js-swf
> node royale-asjs/npm/js-swf/dependencies/download_dependencies.js

prompt: Apache Royale includes an optional component set
that uses fonts from designmodo.com.  The font
files are subject to and governed by the
Creative Commons Attribution-NonCommercial-NoDerivs 3.0
Unported license: http://creativecommons.org/licenses/by-nc-nd/3.0/
This license is not compatible with the Apache v2 license.
Do you want to install the designmodo fonts?
This is an optional component (y/n):  y
Downloading FlatUI from https://github.com/designmodo/Flat-UI/archive/2.2.2.zip
internal/streams/legacy.js:59
      throw er; // Unhandled stream error in pipe.
      ^

Error: ENOENT: no such file or directory, open './downloads/2.2.2.zip'
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! @apache-royale/royale-js-swf@0.9.6 postinstall: `node royale-asjs/npm/js-swf/dependencies/download_dependencies.js`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the @apache-royale/royale-js-swf@0.9.6 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/benjamin/.npm/_logs/2019-10-09T08_54_24_701Z-debug.log
benjamin@MacBookAir:~$ sudo npm install @apache-royale/royale-js-swf -g
/usr/local/bin/asjsc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asjscnpm
/usr/local/bin/asnodec -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asnodecnpm
/usr/local/bin/asjscompc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/asjscompcnpm
/usr/local/bin/compc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/compcnpm
/usr/local/bin/externc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/externcnpm
/usr/local/bin/mxmlc -> /usr/local/lib/node_modules/@apache-royale/royale-js-swf/royale-asjs/js/bin/mxmlcnpm

> @apache-royale/royale-js-swf@0.9.6 postinstall /usr/local/lib/node_modules/@apache-royale/royale-js-swf
> node royale-asjs/npm/js-swf/dependencies/download_dependencies.js

prompt: Apache Royale includes an optional component set
that uses fonts from designmodo.com.  The font
files are subject to and governed by the
Creative Commons Attribution-NonCommercial-NoDerivs 3.0
Unported license: http://creativecommons.org/licenses/by-nc-nd/3.0/
This license is not compatible with the Apache v2 license.
Do you want to install the designmodo fonts?
This is an optional component (y/n):  n
Skipping FlatUI installation
prompt: Apache Royale SWF support uses the Adobe Flash Player's playerglobal.swc to build Adobe Flash applications.
The playerglobal.swc file is subject to and governed by the
Adobe Flash Player License Agreement specified here:
http://wwwimages.adobe.com/content/dam/acom/en/legal/licenses-terms/pdf/Flash_Player_21_0.pdf,
By downloading, modifying, distributing, using and/or accessing the playerglobal.swc file
you agree to the terms and conditions of the applicable end user license agreement.

In addition to the Adobe license terms, you also agree to be bound by the third-party terms specified here:
http://www.adobe.com/products/eula/third_party/.
Adobe recommends that you review these third-party terms.

This license is not compatible with the Apache v2 license.
Do you want to download and install the playerglobal.swc?
This is a required component (y/n):  y
Downloading playerglobal.swc from http://fpdownload.macromedia.com/get/flashplayer/installers/archive/playerglobal/playerglobal25_0.swc
Downloading: http://fpdownload.macromedia.com/get/flashplayer/installers/archive/playerglobal/playerglobal25_0.swc
events.js:173
      throw er; // Unhandled 'error' event
      ^

Error: ENOENT: no such file or directory, open './downloads/playerglobal25_0.swc'
Emitted 'error' event at:
    at errorOrDestroy (internal/streams/destroy.js:107:12)
    at WriteStream.onerror (_stream_readable.js:720:7)
    at WriteStream.emit (events.js:196:13)
    at /usr/local/lib/node_modules/@apache-royale/royale-js-swf/node_modules/graceful-fs/graceful-fs.js:293:14
    at /usr/local/lib/node_modules/@apache-royale/royale-js-swf/node_modules/graceful-fs/graceful-fs.js:323:16
    at FSReqCallback.oncomplete (fs.js:153:20)
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! @apache-royale/royale-js-swf@0.9.6 postinstall: `node royale-asjs/npm/js-swf/dependencies/download_dependencies.js`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the @apache-royale/royale-js-swf@0.9.6 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/benjamin/.npm/_logs/2019-10-09T08_55_09_933Z-debug.log

> On 9 Oct 2019, at 10:08, Piotr Zarzycki <[hidden email]> wrote:
>
> Hello Flex Community,
>
> We have just released newest version of Apache Royale. Take a look what's
> new in this blog post ->
> https://royale.apache.org/apache-royale-v0-9-6-released/
>
> Thanks,
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*



SAMO NASLOVNIKU! / ONLY FOR THE INTENDED RECIPIENT!

Opozorilo: Ta elektronska pošta vsebuje informacije, ki so lahko zaupne narave in so namenjene samo naslovniku. Če je bilo zaradi napake v naslovu ali pri prenosu sporočilo poslano drugam, prosimo, da o tem obvestite njegovega avtorja. Če sporočilo ni bilo namenjeno vam, ne smete uporabljati, razkriti, širiti, kopirati, tiskati ali kakorkoli uporabiti informacije v sporočilu.

Disclaimer: This e-mail contains proprietary information some or all of which may be legally privileged. It is for the intended recipient only. If an addressing or transmission error has misdirected this e-mail, please notify the author by replying to this e-mail. If you are not the intended recipient you must not use, disclose, distribute, copy, print, or rely on this e-mail.